(************************************************)
(* Example program for VR group's DLL manager.  *)
(* This program calls SayHello function from    *)
(* HELLO.DLL (Watcom module)                    *)
(*                                              *)
(* Copyleft (C) 1998-1999 Virtual Research      *)
(************************************************)

program chello;
uses DLL;               (* Include necessary routines and types *)
var H:TDLLHandle;
begin
 dllSetES2PSP:=true;    (* Set es to PSP selector at DLL startup *)
 H:=dllLoad('HELLO');        (* Load DLL. "DLL" extension is assumed. *)
 if dllError<>0 then begin
  WriteLn(dllErrorMessage[dllError]);
  Halt;
 end;
 dllSetES2PSP:=false;        (* It is not automatically reset to true! *) 
 WriteLn('DLL exit code is: ',dllExitCode);
 dllCallByName(H,'SayHello',nil); (* Call procedure from DLL *)
 if dllError<>0 then begin
  dllFree(H);
  WriteLn(dllErrorMessage[dllError]);
  Halt;
 end;
 dllFree(H);    (* Unload DLL *)
end.

